[![Build Status](https://travis-ci.org/Babylonpartners/vidyo_io.svg?branch=master)](https://travis-ci.org/Babylonpartners/vidyo_io)[![Coverage Status](https://coveralls.io/repos/github/Babylonpartners/vidyo_io/badge.svg?branch=master)](https://coveralls.io/github/Babylonpartners/vidyo_io?branch=master)

# VidyoIo API Implementation in Ruby

## Installation
```ruby
gem 'vidyo_io', '~> 1.0'
```

## Usage

### Get video call token

```ruby
  require 'vidyo_io'

  VidyoIo::Configuration.application_id = ENV.fetch('VIDYO_APPLICATION_ID') # Change for your details
  VidyoIo::Configuration.developer_key = ENV.fetch('VIDYO_DEVELOPER_KEY')

  VidyoIo::Util::Token.generate(ttl: 3600, username: 'user_1') # ttl (Time to live) and username are optional params
```
