require File.expand_path(File.dirname(__FILE__) + "/../../spec_helper")

describe VidyoIo::Configuration do
  describe "returns configuration settings" do
    it 'returns application_id' do
      expect(VidyoIo::Configuration.application_id).to eq('integration_application_id')
    end

    it 'returns developer_key' do
      expect(VidyoIo::Configuration.developer_key).to eq('integration_developer_key')
    end
  end

  describe 'singleton instance' do
    it 'cannot be instanciated' do
      expect do
        VidyoIo::Configuration.new
      end.to raise_error(NoMethodError)
    end
  end
end
