$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "vidyo_io/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "vidyo_io"
  s.version     = VidyoIo::Version::String
  s.authors     = ["Marc Cámara"]
  s.email       = ["mcamara88@gmail.com"]
  s.homepage    = "http://mcamara.com"
  s.summary     = "VidyoIO API helper."
  s.description = "Ruby library for integrating with VidyoIO API"
  s.license     = "MIT"

  s.files = Dir['lib/**/*', 'MIT-LICENSE', 'README.md', '*.gemspec']
  s.test_files = Dir['spec/**/*']
end
